Bug 1743259 - cluster resource quota resource not visualized correctly
Summary: cluster resource quota resource not visualized correctly
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.1.z
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.1.z
Assignee: Samuel Padgett
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On: 1742952
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-08-19 13:31 UTC by Samuel Padgett
Modified: 2019-09-10 16:00 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Previously, users would see an error in the web console when navigating to the ClusterResourceQuota instances from the CRD list. The problem has been fixed, and you can now successfully list ClusterResourceQuota instances from the CRD page.
Clone Of: 1742952
Environment:
Last Closed: 2019-09-10 15:59:37 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 2426 0 None closed [release-4.1] Bug 1743259: Handle ClusterResourceQuota as a CRD 2020-02-27 08:56:02 UTC
Red Hat Product Errata RHSA-2019:2594 0 None None None 2019-09-10 16:00:09 UTC

Description Samuel Padgett 2019-08-19 13:31:41 UTC
+++ This bug was initially created as a clone of Bug #1742952 +++

Description of problem:

the CRD clusterresourcequota does not get visualized correctly. see the attached image for the error.

Version-Release number of selected component (if applicable):


How reproducible:
100


Steps to Reproduce:
1. define a cluster resource quota
2. open the CRD page for cluster resource quota
3.

Comment 2 Yadan Pei 2019-08-26 05:59:14 UTC
1. When no ClusterResourceQuota in the cluster, cluster admin goes to Administration -> Custom Resource Definitions -> View Instances, it will show "No Cluster Resource Quotas Found"
2. cluster admin create ClusterResourceQuota
oc create clusterquota for-user --project-annotation-selector openshift.io/requester=yapeitest  --hard pods=10 --hard secrets=20
clusterresourcequota.quota.openshift.io/for-user created
3. Cluster admin goes to Administration -> Custom Resource Definitions -> View Instance, the clusterresourcequota/for-user can be listed

Verified on 4.1.0-0.nightly-2019-08-25-164016

$ oc adm release info registry.svc.ci.openshift.org/ocp/release:4.1.0-0.nightly-2019-08-25-164016 --commits | grep console
  console                                       https://github.com/openshift/console                                       d1337bf087a76ea109657d23982396436d43eccf
$ git log d1337bf087a76ea109657d23982396436d43eccf | grep '#2426'
    Merge pull request #2426 from openshift-cherrypick-robot/cherry-pick-2395-to-release-4.1

Comment 4 errata-xmlrpc 2019-09-10 15:59:37 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:2594


Note You need to log in before you can comment on or make changes to this bug.